<div class="dropdown bg-contentFocus hover:cursor-pointer relative noselect {{ cssClass }}" [ngClass]="{ 'opened': isOpen === true }">
    <div class="flex justify-between items-center px-3 min-w-[200px] selected-item" (click)="onDropDownClicked($event)">
        <div> <span *ngIf="selectedIndex >= 0">{{ options[selectedIndex].text }}</span></div>
        <fa-icon [icon]="arrowIcon" class="icon text-3xl text-lightGreen"></fa-icon>
    </div>
    <div class="dropdown-content bg-contentFocus w-full">
        <div *ngFor="let optionIndex of getIndexes()" [ngClass]="{ 'bg-inputFocus': selectedIndex === optionIndex }" class="dropdown-option px-3 py-2 hover:bg-inputFocus" (click)="onItemClick(optionIndex)" attr.data-index="{{ optionIndex }}" attr.data-value="{{ options[optionIndex].value }}">{{ options[optionIndex].text }}</div>
    </div>
</div>